diff -uNr initscripts-6.95.orig/Makefile initscripts-6.95/Makefile
--- initscripts-6.95.orig/Makefile	2002-06-26 03:02:16.000000000 -0600
+++ initscripts-6.95/Makefile	2003-03-17 22:51:01.000000000 -0700
@@ -29,6 +29,8 @@
 	  install -m644 sysctl.conf.sparc $(ROOT)/etc/sysctl.conf ; fi
 	if uname -m | grep -q s390 ; then \
 	  install -m644 sysctl.conf.s390 $(ROOT)/etc/sysctl.conf ; fi
+	if uname -m | grep -q ppc ; then \
+	  install -m644 sysctl.conf.ppc $(ROOT)/etc/sysctl.conf ; fi
 
 	mkdir -p $(ROOT)/etc/X11
 	install -m755 prefdm $(ROOT)/etc/X11/prefdm
diff -uNr initscripts-6.95.orig/rc.d/init.d/rawdevices initscripts-6.95/rc.d/init.d/rawdevices
--- initscripts-6.95.orig/rc.d/init.d/rawdevices	2002-06-26 03:34:04.000000000 -0600
+++ initscripts-6.95/rc.d/init.d/rawdevices	2003-03-17 22:51:01.000000000 -0700
@@ -2,7 +2,7 @@
 #
 # rawdevices       This shell script assignes rawdevices to block devices
 #
-# chkconfig: 345 56 44
+# chkconfig: - 56 44
 # description: This scripts assignes raw devices to block devices \
 #              (such as hard drive partitions). This is for the use \
 #	       of applications such as Oracle. You can set up the \
diff -uNr initscripts-6.95.orig/rc.d/rc.sysinit initscripts-6.95/rc.d/rc.sysinit
--- initscripts-6.95.orig/rc.d/rc.sysinit	2002-08-22 15:10:52.000000000 -0600
+++ initscripts-6.95/rc.d/rc.sysinit	2003-03-17 22:53:59.000000000 -0700
@@ -27,14 +27,14 @@
 
 # Print a banner. ;)
 echo -en $"\t\tWelcome to "
-if grep -q "Red Hat" /etc/redhat-release ; then 
- [ "$BOOTUP" = "color" ] && echo -en $"\\033[0;31m"
- echo -en "Red Hat"
+if grep -q "Yellow Dog" /etc/yellowdog-release ; then 
+ [ "$BOOTUP" = "color" ] && echo -en $"\\033[01;33m"
+ echo -en "Yellow Dog"
  [ "$BOOTUP" = "color" ] && echo -en $"\\033[0;39m"
- PRODUCT=`sed "s/Red Hat \(.*\) release.*/\1/" /etc/redhat-release`
+ PRODUCT=`sed "s/Yellow Dog \(.*\) release.*/\1/" /etc/yellowdog-release`
  echo " $PRODUCT"
 else
- PRODUCT=`sed "s/ release.*//g" /etc/redhat-release`
+ PRODUCT=`sed "s/ release.*//g" /etc/yellowdog-release`
  echo "$PRODUCT"
 fi
 if [ "$PROMPT" != "no" ]; then
@@ -155,10 +155,12 @@
 
 # Initialize USB controller and HID devices
 usb=0
+usbnotmod=1
 if ! grep -iq "nousb" /proc/cmdline 2>/dev/null && ! grep -q "usb" /proc/devices 2>/dev/null ; then
     aliases=`/sbin/modprobe -c | awk '/^alias usb-controller/ { print $3 }'`
     if [ -n "$aliases" -a "$aliases" != "off" ]; then
-      modprobe usbcore
+      usbnotmod=0
+      modprobe usbcore 2> /dev/null
       for alias in $aliases ; do 
       	[ "$alias" != "off" ] && action $"Initializing USB controller ($alias): " modprobe $alias
       done
@@ -175,11 +177,11 @@
 fi
 
 needusbstorage=
-if [ $usb = "1" ]; then
+if [ $usb = "1" -a $usbnotmod = "0" ]; then
     needusbstorage=`grep -e "^I.*Cls=08" /proc/bus/usb/devices 2>/dev/null`
     action $"Initializing USB HID interface: " modprobe hid 2> /dev/null
-    action $"Initializing USB keyboard: " modprobe keybdev
-    action $"Initializing USB mouse: " modprobe mousedev
+    action $"Initializing USB keyboard: " modprobe keybdev 2> /dev/null
+    action $"Initializing USB mouse: " modprobe mousedev 2> /dev/null
 fi
 
 if [ -f /fastboot ] || grep -iq "fastboot" /proc/cmdline 2>/dev/null ; then
@@ -733,7 +735,7 @@
 # We need to deal with cases where there is no library, and we need to
 # deal with any version numbers that show up.
 shopt -s nullglob
-for library in /lib/kernel/$(uname -r)/libredhat-kernel.so* ; do
+for library in /lib/kernel/$(uname -r)/libyellowdog-kernel.so* ; do
 	ln -f $library /lib/
 	ldconfig -n /lib/
 done
diff -uNr initscripts-6.95.orig/src/mkkerneldoth initscripts-6.95/src/mkkerneldoth
--- initscripts-6.95.orig/src/mkkerneldoth	2002-03-27 15:24:13.000000000 -0700
+++ initscripts-6.95/src/mkkerneldoth	2003-03-17 22:51:02.000000000 -0700
@@ -3,8 +3,8 @@
 # Generate a header that defines the boot kernel.
 #
 
-KERNEL_TYPE=`uname -r | sed 's_^.*\(smp\|enterprise\|bigmem\)$_-\1_;t;s_.*__;'`
-KERNEL_RELEASE=`uname -r | sed 's|smp\|enterprise\|bigmem||g'`
+KERNEL_TYPE=`uname -r | sed 's_^.*\(smp\|enterprise\|bigmem\|ans\|briq\|pop\|pseries\|iseries\)$_-\1_;t;s_.*__;'`
+KERNEL_RELEASE=`uname -r | sed 's|smp\|enterprise\|bigmem\|ans\|briq\|pop\|pseries\|iseries||g'`
 
 rpm -q kernel$KERNEL_TYPE-$KERNEL_RELEASE >/dev/null 2>&1 && KERNEL_ARCH=`rpm -q --qf '%{ARCH}' kernel$KERNEL_TYPE-$KERNEL_RELEASE 2>/dev/null` || KERNEL_ARCH=`uname -m`
 
@@ -14,10 +14,20 @@
   SMP='0'
   UP='0'
   BIGMEM='0'
+  ANS='0'
+  BRIQ='0'
+  PSERIES='0'
+  ISERIES='0'
+  TERON='0'
   case "$KERNEL_TYPE" in
   -smp) SMP='1';;
   -enterprise) ENTERPRISE='1';;
   -bigmem) BIGMEM='1';;
+  -ans) ANS='1';;
+  -briq) BRIQ='1';;
+  -pseries) PSERIES='1';;
+  -iseries) ISERIES='1';;
+  -teron) TERON='1';;
   *) UP='1';;
   esac
   cat > /boot/kernel.h << EOF
@@ -31,6 +41,26 @@
 #define __MODULE_KERNEL_$KERNEL_ARCH 1
 #endif
 
+#ifndef __BOOT_KERNEL_ANS
+#define __BOOT_KERNEL_ANS $ANS
+#endif
+
+#ifndef __BOOT_KERNEL_BRIQ
+#define __BOOT_KERNEL_BRIQ $BRIQ
+#endif
+
+#ifndef __BOOT_KERNEL_PSERIES
+#define __BOOT_KERNEL_PSERIES $PSERIES
+#endif
+
+#ifndef __BOOT_KERNEL_ISERIES
+#define __BOOT_KERNEL_ISERIES $ISERIES
+#endif
+
+#ifndef __BOOT_KERNEL_TERON
+#define __BOOT_KERNEL_TERON $TERON
+#endif
+
 #ifndef __BOOT_KERNEL_ENTERPRISE
 #define __BOOT_KERNEL_ENTERPRISE $ENTERPRISE
 #endif
diff -uNr initscripts-6.95.orig/sysconfig/mouse-emulation initscripts-6.95/sysconfig/mouse-emulation
--- initscripts-6.95.orig/sysconfig/mouse-emulation	1969-12-31 17:00:00.000000000 -0700
+++ initscripts-6.95/sysconfig/mouse-emulation	2003-03-17 22:51:02.000000000 -0700
@@ -0,0 +1,20 @@
+# The following variables are used at startup
+# by /etc/init.d/mouse-emulation to set
+# whether mouse button emulation should be
+# used. If so, it provides which keys to bind
+# mouse button 2 and button 3 functionality to.
+#
+# To change the defaults, use the 'showkey'
+# command from the console to determine the
+# keycode "number" to replace the values
+# below with. 
+
+# Enable Mouse Button Emulation? (default: yes)
+EMULATION=yes
+
+# Mouse Button 2 (default: F10)
+BUTTON_2=68
+
+# Mouse Button 3 (default: F11)
+BUTTON_3=87
+
diff -uNr initscripts-6.95.orig/sysctl.conf.ppc initscripts-6.95/sysctl.conf.ppc
--- initscripts-6.95.orig/sysctl.conf.ppc	1969-12-31 17:00:00.000000000 -0700
+++ initscripts-6.95/sysctl.conf.ppc	2003-03-17 22:51:02.000000000 -0700
@@ -0,0 +1,22 @@
+# Kernel sysctl configuration file for Yellow Dog Linux
+#
+# For binary values, 0 is disabled, 1 is enabled.  See sysctl(8) and
+# sysctl.conf(5) for more details.
+
+# Controls IP packet forwarding
+net.ipv4.ip_forward = 0
+
+# Controls source route verification
+net.ipv4.conf.default.rp_filter = 1
+
+# Controls the System Request debugging functionality of the kernel
+kernel.sysrq = 0
+
+# Controls whether core dumps will append the PID to the core filename.
+# Useful for debugging multi-threaded applications.
+kernel.core_uses_pid = 1
+
+# On Macs, we want to translate keycodes to x86-style.
+# If this is set to 0, your keyboard will not work!
+# For non-Macs, this will do nothing.
+dev.mac_hid.keyboard_sends_linux_keycodes = 1
